package com.ningdatech.pmapi.expert.model.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 评审模版配置表
 * </p>
 *
 * @author WendyYang
 * @since 2023-02-14
 */
@TableName("nd_review_template_settings")
@ApiModel(value = "NdReviewTemplateSettings对象", description = "评审模版配置表")
public class ReviewTemplateSettings implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("模版类型：1 初步方案评审模版、2 建设方案评审模版、3 验收方案评审模版")
    private Integer templateType;

    @ApiModelProperty("模版内容")
    private String content;

    private Long createBy;

    private Long updateBy;

    private LocalDateTime createOn;

    private LocalDateTime updateOn;

    @ApiModelProperty("是否是最新")
    private Boolean isLast;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }
    public Integer getTemplateType() {
        return templateType;
    }

    public void setTemplateType(Integer templateType) {
        this.templateType = templateType;
    }
    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }
    public Long getCreateBy() {
        return createBy;
    }

    public void setCreateBy(Long createBy) {
        this.createBy = createBy;
    }
    public Long getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(Long updateBy) {
        this.updateBy = updateBy;
    }
    public LocalDateTime getCreateOn() {
        return createOn;
    }

    public void setCreateOn(LocalDateTime createOn) {
        this.createOn = createOn;
    }
    public LocalDateTime getUpdateOn() {
        return updateOn;
    }

    public void setUpdateOn(LocalDateTime updateOn) {
        this.updateOn = updateOn;
    }
    public Boolean getIsLast() {
        return isLast;
    }

    public void setIsLast(Boolean isLast) {
        this.isLast = isLast;
    }

    @Override
    public String toString() {
        return "NdReviewTemplateSettings{" +
            "id=" + id +
            ", templateType=" + templateType +
            ", content=" + content +
            ", createBy=" + createBy +
            ", updateBy=" + updateBy +
            ", createOn=" + createOn +
            ", updateOn=" + updateOn +
            ", isLast=" + isLast +
        "}";
    }
}
